## org.apache.solr.common.util
Class Base64

    java.lang.Object
      org.apache.solr.common.util.Base64

    public class Base64

extends Object

Static methods for translating Base64 encoded strings to byte arrays and vice-versa.

Constructor Summary
`Base64()`

Method Summary
`static byte[]` `base64ToByteArray(String s)`
`static String` `byteArrayToBase64(byte[] a, int offset, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### byteArrayToBase64

    public static String byteArrayToBase64(byte[] a,
                                           int offset,
                                           int len)

### base64ToByteArray

    public static byte[] base64ToByteArray(String s)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.